package w83a.w83aBeans;

import java.sql.ResultSet;

import org.apache.commons.lang.StringUtils;

import w83a.util.jdbc.W83aDataBase;
import w83a.w83aDAO.w83aConstantesBD.W83aBaseBeanBD;
import w83a.w83aDAO.w83aConstantesBD.W83aDelegadosBD;
import w83a.w83aUtilidadesComunes.W83aClsConstantes;


/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83aListaDelegadosBean extends W83aBaseBean implements W83aBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String	colegio="";
	private String	colegioDesc="";
	private String	dni="";
	private String	nombre="";
	private String	apellido1="";
	private String	apellido2="";
	private String	sexo="";
	private String	sindicato="";
	private String	fechaAlta="";
	private String	fechaMod="";
	private String	fechaBaja="";
	private String	motivoBaja="";
	private String	codBaja="";
	private String	dniSustituto="";
	private String	codColegio="";
	private String	colegioEditar="";
	private String	dniEditar="";
	private String	nombreEditar="";
	private String	apellido1Editar="";
	private String	apellido2Editar="";
	private String	sexoEditar="";
	private String	sindicatoEditar="";
	private String	fechaAltaEditar="";
	private String	fechaBajaEditar="";
	private String	motivoBajaEditar="";
	private String	codBajaEditar="";
	private String	dniSustitutoEditar="";
	private String	codColegioEditar="";
	private String	fechaBajaBorrar="";
	private String	motivoBajaBorrar="";
	private String	codSustituto="";
	private String	acta="";
	private String	anyoActa="";
	private String	territorioActa="";
	private String	versionActa="";
	private String  codSindicato="";
	private String  codSindicatoEditar="";
	private String  hombres="";
	private String  mujeres="";
	private boolean nuevo=false;
	private String  baja = "";
	private String  numero = "";
	private String  siglas = "";
	
	//para a la hora de editar en las incidencias saber si el bean en cuestión ha sido añadido o editado
	private String flag = "";
	
	
	public String getFechaMod() {
		return fechaMod;
	}


	public void setFechaMod(String fechaMod) {
		this.fechaMod = fechaMod;
	}


	public String getFlag() {
		return flag;
	}
	
	
	public String getColegioDesc() {
		return colegioDesc;
	}


	public void setColegioDesc(String colegioDesc) {
		this.colegioDesc = colegioDesc;
	}


	public void setFlag(String flag) {
		this.flag = flag;
	}		

	public String getBaja() {
		return baja;
	}

	public void setBaja(String baja) {
		this.baja = baja;
	}


	public static long getSerialVersionUID() {
		return serialVersionUID;
	}


	/**
	 * 
	 * El constructor de W83aAgrupacionesBean.
	 */
	public W83aListaDelegadosBean() {
		super();
	}

	public String getColegio() {
		return colegio;
	}


	public void setColegio(String colegio) {
		this.colegio = colegio;
	}

	public String getDni() {
		return dni;
	}

	public void setDni(String dni) {
		this.dni = dni;
	}


	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getApellido1() {
		return apellido1;
	}


	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	public String getApellido2() {
		return apellido2;
	}

	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	public String getSexo() {
		return sexo;
	}

	public void setSexo(String sexo) {
		this.sexo = sexo;
	}


	public String getSindicato() {
		return sindicato;
	}


	public void setSindicato(String sindicato) {
		this.sindicato = sindicato;
	}


	public String getFechaAlta() {
		return fechaAlta;
	}

	public void setFechaAlta(String fechaAlta) {
		this.fechaAlta = fechaAlta;
	}

	public String getFechaBaja() {
		return fechaBaja;
	}

	public void setFechaBaja(String fechaBaja) {
		this.fechaBaja = fechaBaja;
	}


	public String getMotivoBaja() {
		return motivoBaja;
	}


	public void setMotivoBaja(String motivoBaja) {
		this.motivoBaja = motivoBaja;
	}


	public String getDniSustituto() {
		return dniSustituto;
	}


	public void setDniSustituto(String dniSustituto) {
		this.dniSustituto = dniSustituto;
	}


	public boolean isNuevo() {
		return nuevo;
	}


	public void setNuevo(boolean nuevo) {
		this.nuevo = nuevo;
	}


	public String getCodColegio() {
		return codColegio;
	}

	public void setCodColegio(String codColegio) {
		this.codColegio = codColegio;
	}


	public String getCodSustituto() {
		return codSustituto;
	}

	public void setCodSustituto(String codSustituto) {
		this.codSustituto = codSustituto;
	}


	public String getActa() {
		return acta;
	}

	public void setActa(String acta) {
		this.acta = acta;
	}

	public String getAnyoActa() {
		return anyoActa;
	}

	public void setAnyoActa(String anyoActa) {
		this.anyoActa = anyoActa;
	}


	public String getTerritorioActa() {
		return territorioActa;
	}

	public void setTerritorioActa(String territorioActa) {
		this.territorioActa = territorioActa;
	}

	public String getVersionActa() {
		return versionActa;
	}


	public void setVersionActa(String versionActa) {
		this.versionActa = versionActa;
	}

	public String getCodBaja() {
		return codBaja;
	}


	public void setCodBaja(String codBaja) {
		this.codBaja = codBaja;
	}

	public String getCodSindicato() {
		return codSindicato;
	}


	public void setCodSindicato(String codSindicato) {
		this.codSindicato = codSindicato;
	}

	public String getHombres() {
		return hombres;
	}


	public void setHombres(String hombres) {
		this.hombres = hombres;
	}


	public String getMujeres() {
		return mujeres;
	}

	public void setMujeres(String mujeres) {
		this.mujeres = mujeres;
	}


	public String getColegioEditar() {
		return colegioEditar;
	}

	public void setColegioEditar(String colegioEditar) {
		this.colegioEditar = colegioEditar;
	}

	public String getDniEditar() {
		return dniEditar;
	}

	public void setDniEditar(String dniEditar) {
		this.dniEditar = dniEditar;
	}

	public String getNombreEditar() {
		return nombreEditar;
	}


	public void setNombreEditar(String nombreEditar) {
		this.nombreEditar = nombreEditar;
	}

	public String getApellido1Editar() {
		return apellido1Editar;
	}


	public void setApellido1Editar(String apellido1Editar) {
		this.apellido1Editar = apellido1Editar;
	}

	public String getApellido2Editar() {
		return apellido2Editar;
	}

	public void setApellido2Editar(String apellido2Editar) {
		this.apellido2Editar = apellido2Editar;
	}

	public String getSexoEditar() {
		return sexoEditar;
	}


	public void setSexoEditar(String sexoEditar) {
		this.sexoEditar = sexoEditar;
	}

	public String getSindicatoEditar() {
		return sindicatoEditar;
	}

	public void setSindicatoEditar(String sindicatoEditar) {
		this.sindicatoEditar = sindicatoEditar;
	}

	public String getFechaAltaEditar() {
		return fechaAltaEditar;
	}

	public void setFechaAltaEditar(String fechaAltaEditar) {
		this.fechaAltaEditar = fechaAltaEditar;
	}

	public String getFechaBajaEditar() {
		return fechaBajaEditar;
	}

	public void setFechaBajaEditar(String fechaBajaEditar) {
		this.fechaBajaEditar = fechaBajaEditar;
	}

	public String getMotivoBajaEditar() {
		return motivoBajaEditar;
	}

	public void setMotivoBajaEditar(String motivoBajaEditar) {
		this.motivoBajaEditar = motivoBajaEditar;
	}

	public String getCodBajaEditar() {
		return codBajaEditar;
	}
	public void setCodBajaEditar(String codBajaEditar) {
		this.codBajaEditar = codBajaEditar;
	}

	public String getDniSustitutoEditar() {
		return dniSustitutoEditar;
	}
	public void setDniSustitutoEditar(String dniSustitutoEditar) {
		this.dniSustitutoEditar = dniSustitutoEditar;
	}

	public String getCodColegioEditar() {
		return codColegioEditar;
	}

	public void setCodColegioEditar(String codColegioEditar) {
		this.codColegioEditar = codColegioEditar;
	}

	public String getFechaBajaBorrar() {
		return fechaBajaBorrar;
	}

	public void setFechaBajaBorrar(String fechaBajaBorrar) {
		this.fechaBajaBorrar = fechaBajaBorrar;
	}

	public String getMotivoBajaBorrar() {
		return motivoBajaBorrar;
	}

	public void setMotivoBajaBorrar(String motivoBajaBorrar) {
		this.motivoBajaBorrar = motivoBajaBorrar;
	}

	public String getCodSindicatoEditar() {
		return codSindicatoEditar;
	}

	public void setCodSindicatoEditar(String codSindicatoEditar) {
		this.codSindicatoEditar = codSindicatoEditar;
	}
	public String getNumero() {
		return numero;
	}

	public void setNumero(String numero) {
		this.numero = numero;
	}


	public String getSiglas() {
		return siglas;
	}

	public void setSiglas(String siglas) {
		this.siglas = siglas;
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		ResultSet rs = (ResultSet)o;//NOPMD
	
		if(otrosValores!=null&&((String)otrosValores).equals("DETALLE2")){
			this.fechaBaja = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.fechaBaja);
			this.numero = W83aDataBase.getStringFromRS(rs, "DELEGADOS");
			this.codColegio = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.codColegio);
			this.sexo = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.sexo);
			this.codSindicato = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.codSindicato);
		}else{			
			this.codSindicato = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.codSindicato);
			this.sindicato = W83aDataBase.getStringFromRS(rs, "SINDICATO");
			this.codColegio = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.codColegio);
			this.colegio = W83aDataBase.getStringFromRS(rs, "COLEGIO");
			this.colegioDesc = W83aDataBase.getStringFromRS(rs, "DESCCOLEGIO");
			this.dni = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.dni);
			this.nombre = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.nombre);
			this.apellido1 = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.apellido1);
			this.apellido2 = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.apellido2);
			this.sexo = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.sexo);
			this.fechaAlta = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.fechaAlta);
			this.fechaMod = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.fechaMod);
			this.fechaBaja = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.fechaBaja);
			this.codBaja = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.baja);
			this.motivoBaja = W83aDataBase.getStringFromRS(rs, "BAJA");
			this.dniSustituto = W83aDataBase.getStringFromRS(rs, W83aDelegadosBD.dniSustituto);
			this.siglas = W83aDataBase.getStringFromRS(rs, "SIGLAS");
			
			this.nuevo =false;
			if(!StringUtils.isEmpty(this.fechaBaja)){
				this.baja=W83aClsConstantes.BAJA;
			}
			else{
				this.baja=W83aClsConstantes.ALTA;
			}
			this.numero = W83aDataBase.getStringFromRS(rs, "DELEGADOS");
		}
		
		return null;
	}
	

	public W83aListaDelegadosBean(W83aListaDelegadosBean delegado) {
		super();
		this.colegio = delegado.colegio;
		this.colegioDesc = delegado.colegioDesc;
		this.dni = delegado.dni;
		this.nombre = delegado.nombre;
		this.apellido1 = delegado.apellido1;
		this.apellido2 = delegado.apellido2;
		this.sexo = delegado.sexo;
		this.sindicato = delegado.sindicato;
		this.fechaAlta = delegado.fechaAlta;
		this.fechaBaja = delegado.fechaBaja;
		this.motivoBaja = delegado.motivoBaja;
		this.codBaja = delegado.codBaja;
		this.dniSustituto = delegado.dniSustituto;
		this.codColegio = delegado.codColegio;
		this.colegioEditar = delegado.colegioEditar;
		this.dniEditar = delegado.dniEditar;
		this.nombreEditar = delegado.nombreEditar;
		this.apellido1Editar = delegado.apellido1Editar;
		this.apellido2Editar = delegado.apellido2Editar;
		this.sexoEditar = delegado.sexoEditar;
		this.sindicatoEditar = delegado.sindicatoEditar;
		this.fechaAltaEditar = delegado.fechaAltaEditar;
		this.fechaBajaEditar = delegado.fechaBajaEditar;
		this.motivoBajaEditar = delegado.motivoBajaEditar;
		this.codBajaEditar = delegado.codBajaEditar;
		this.dniSustitutoEditar = delegado.dniSustitutoEditar;
		this.codColegioEditar = delegado.codColegioEditar;
		this.fechaBajaBorrar = delegado.fechaBajaBorrar;
		this.motivoBajaBorrar = delegado.motivoBajaBorrar;
		this.codSustituto = delegado.codSustituto;
		this.acta = delegado.acta;
		this.anyoActa = delegado.anyoActa;
		this.territorioActa = delegado.territorioActa;
		this.versionActa = delegado.versionActa;
		this.codSindicato = delegado.codSindicato;
		this.codSindicatoEditar = delegado.codSindicatoEditar;
		this.hombres = delegado.hombres;
		this.mujeres = delegado.mujeres;
		this.nuevo = delegado.nuevo;
		this.baja = delegado.baja;
		this.numero = delegado.numero;
		this.siglas = delegado.siglas;
		this.flag = delegado.flag;
	}


}
